package com.fjhx.common.service.logistics;

import com.fjhx.common.entity.logistics.dto.LogisticsAmountDto;
import com.fjhx.common.entity.logistics.dto.LogisticsAmountSelectDto;
import com.fjhx.common.entity.logistics.po.LogisticsAmount;
import com.fjhx.common.entity.logistics.vo.LogisticsAmountVo;
import com.ruoyi.common.core.service.BaseService;

import java.util.List;

/**
 * <p>
 * 物流发生额 服务类
 * </p>
 *
 * @author
 * @since 2024-05-06
 */
public interface LogisticsAmountService extends BaseService<LogisticsAmount> {

    /**
     * 物流发生额列表
     */
    List<LogisticsAmountVo> getList(LogisticsAmountSelectDto dto);

    /**
     * 物流发生额编辑
     */
    void saveOrEdit(LogisticsAmountDto logisticsAmountDto);

    void saveOrEditList(LogisticsAmountDto dto);
}
