package com.fjhx.oa.entity.user.vo;

import com.fjhx.file.entity.FileInfoVo;
import com.fjhx.oa.entity.user.po.UserSalaryDetail;
import com.fjhx.oa.entity.user.po.UserSalaryManage;
import lombok.Getter;
import lombok.Setter;

import java.util.List;

/**
 * 员工薪资管理列表查询返回值实体
 *
 * @author
 * @since 2024-06-11
 */
@Getter
@Setter
public class UserSalaryManageVo extends UserSalaryManage {

    private String companyName;
    private String deptName;

    /**
     * 薪资明细
     */
    private List<UserSalaryDetail> userSalaryDetailList;

    /**
     * 附件信息
     */
    private List<FileInfoVo> fileList;

}
