package com.fjhx.form.controller.calculate;

import com.fjhx.form.entity.calculate.dto.CalculateItemBalanceDto;
import com.fjhx.form.service.calculate.CalculateItemBalanceService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;


/**
 * <p>
 * 核算项目余额表 前端控制器
 * </p>
 *
 * @author
 * @since 2024-05-20
 */
@RestController
@RequestMapping("/calculateItemBalance")
public class CalculateItemBalanceController {

    @Autowired
    private CalculateItemBalanceService calculateItemBalanceService;

    /**
     * 核算项目余额表编辑
     */
    @PostMapping("/editOrSave")
    public void edit(@RequestBody CalculateItemBalanceDto calculateItemBalanceDto) {
        calculateItemBalanceService.edit(calculateItemBalanceDto);
    }

}
