package com.fjhx.form.controller.payable;

import com.fjhx.form.entity.payable.dto.PayableBalanceDto;
import com.fjhx.form.service.payable.PayableBalanceService;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;


/**
 * <p>
 * 应付帐款余额 前端控制器
 * </p>
 *
 * @author _
 * @since 2024-06-04
 */
@RestController
@RequestMapping("/payableBalance")
public class PayableBalanceController {

    private final PayableBalanceService payableBalanceService;

    public PayableBalanceController(PayableBalanceService payableBalanceService) {
        this.payableBalanceService = payableBalanceService;
    }


    @PostMapping("/edit")
    public void edit(@RequestBody PayableBalanceDto dto) {
        payableBalanceService.edit(dto);
    }

}
