package com.fjhx.oa.mapper.user;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.oa.entity.user.dto.UserSalaryManageDto;
import com.fjhx.oa.entity.user.po.UserSalaryManage;
import com.fjhx.oa.entity.user.vo.UserSalaryManageVo;
import com.ruoyi.common.utils.wrapper.IWrapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;


/**
 * <p>
 * 员工薪资管理 Mapper 接口
 * </p>
 *
 * @author
 * @since 2024-06-11
 */
@Mapper
public interface UserSalaryManageMapper extends BaseMapper<UserSalaryManage> {

    /**
     * 员工薪资管理分页
     */
    Page<UserSalaryManageVo> getPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<Object> wrapper);

    List<UserSalaryManageVo> getPage(@Param("ew") IWrapper<Object> wrapper);

    UserSalaryManageVo getDetail(@Param("userId") Long userId);

    Integer updateDataById(UserSalaryManageDto dto);

}
