package com.fjhx.wms.controller.manual;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.wms.entity.manual.dto.ManualStockDetailsSelectDto;
import com.fjhx.wms.entity.manual.vo.ManualStockDetailsVo;
import com.fjhx.wms.service.manual.ManualStockDetailsService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;


/**
 * <p>
 * 手动出入库记录明细 前端控制器
 * </p>
 *
 * @author
 * @since 2024-04-24
 */
@RestController
@RequestMapping("/manualStockDetails")
public class ManualStockDetailsController {

    @Autowired
    private ManualStockDetailsService manualStockDetailsService;

    @PostMapping("/page")
    public Page<ManualStockDetailsVo> page(@RequestBody ManualStockDetailsSelectDto dto) {
        return manualStockDetailsService.getPage(dto);
    }

}
