package com.fjhx.wms.entity.stock;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;

@Getter
@Setter
@ExcelIgnoreUnannotated
public class StockExcelBo {
    private final int columnWidth = 16;

    @ColumnWidth(columnWidth)
    @ExcelProperty("公司名称")
    private String companyName;
    @ColumnWidth(columnWidth)
    @ExcelProperty("仓库名称")
    private String warehouseName;
    @ColumnWidth(columnWidth)
    @ExcelProperty("物品类型")
    private String productDefinition;
    @ColumnWidth(columnWidth)
    @ExcelProperty("所属分类")
    private String productClassifyNames;
    @ColumnWidth(columnWidth)
    @ExcelProperty("物品编码")
    private String productCustomCode;
    @ColumnWidth(columnWidth)
    @ExcelProperty("物品名称")
    private String productName;
    @ColumnWidth(columnWidth)
    @ExcelProperty("规格尺寸")
    private String productSpecDim;
    @ColumnWidth(columnWidth)
    @ExcelProperty("物品颜色")
    private String productColor;
    @ColumnWidth(columnWidth)
    @ExcelProperty("库存数量")
    private BigDecimal quantity;
}
